- name: epel 7
  become: true
  yum:
    name: epel-release
- name: yum
  become: true
  yum:
    name: curl,wget,git,vim,sudo,byobu,iftop,iotop,gcc,gcc-c++,make,autoconf,p7zip,p7zip-plugins,python-pip,python-devel,python3-pip,python3-devel,tcpdump,rsync,htop,mtr,net-tools,ctags,xclip,traceroute,tar,unzip,iperf,iperf3,nmap,libselinux-python,mosh,subversion,fish,haveged,mtr,rsync,nfs-utils,ipset # astyle
    update_cache: yes
- name: open-vm-tools
  become: true
  yum:
    name: open-vm-tools
    state: '{{vm_agents_status}}'
  when: ansible_virtualization_role == "guest" and ansible_virtualization_type == "VMware"
- name: qemu-guest-agent
  become: true
  yum:
    name: qemu-guest-agent
    state: '{{vm_agents_status}}'
  when: ansible_virtualization_role == "guest" and ansible_virtualization_type == "kvm"
- name: yum autoremove
  become: true
  yum:
    autoremove: true
